<?php
/**
 * Gestion des frais
 *
 * PHP Version 7
 *
 * @category  PPE
 * @package   GSB
 * @author    Réseau CERTA <contact@reseaucerta.org>
 * @author    José GIL <jgil@ac-nice.fr>
 * @copyright 2017 Réseau CERTA
 * @license   Réseau CERTA
 * @version   GIT: <0>
 * @link      http://www.reseaucerta.org Contexte « Laboratoire GSB »
 */

/*je recup l'action que j'ai mis dans l'url */
$action = filter_input(INPUT_GET, 'action', FILTER_SANITIZE_STRING);
$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_STRING);
$nom = filter_input(INPUT_POST, 'nom', FILTER_SANITIZE_STRING);
$prenom = filter_input(INPUT_POST, 'prenom', FILTER_SANITIZE_STRING);
$login = filter_input(INPUT_POST, 'login', FILTER_SANITIZE_STRING);
$mdp = filter_input(INPUT_POST, 'mdp', FILTER_SANITIZE_STRING);

$ans = filter_input(INPUT_POST, 'ans', FILTER_SANITIZE_STRING);
$ville = filter_input(INPUT_POST, 'departement', FILTER_SANITIZE_STRING);
$mois = filter_input(INPUT_POST, 'mois', FILTER_SANITIZE_STRING);




switch ($action) {
    case 'saisirFrais':
        if ($pdo->estPremierFraisMois($idVisiteur, $mois)) {
            $pdo->creeNouvellesLignesFrais($idVisiteur, $mois);
        }
        break;
    case 'Supprimer':

        $pdo->deleteUsersById($id);
        header('Location: index.php');

    case 'modifier':
        $pdo->updateUserById($id, $nom, $prenom, $login, $mdp);
        header('Location: index.php');
    case 'deux':
        var_dump($action);
        $resultat = $pdo->GetVisiteursByYear($ans);
        include'vuesc/vc_stat2.php ';
break;
    case 'un':
        var_dump($action);
        $resultat =  $pdo->GetVisiteursByVille($ville);
        include'vuesc/vc_stat1.php';
break;


    case 'trois':
        var_dump($action);
        $resultat = $pdo->GetVisiteursByMois($mois);
        include'vuesc/vc_stat3.php ';
break;

        // header('Location: index.php');
    default :
        break;
}